MPD: Data Fields

MPD 0.20.15

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- Abandon() : EventLoop , PollGroupEPoll , PollGroupPoll , PollGroupWinSelect , SocketMonitor
- Add() : CancellableList< T, CT > , ClientList , CommandListBuilder , CurlGlobal , EPollFD , InotifySource , PollGroupEPoll , PollGroupPoll , PollGroupWinSelect , PollResultGeneric , SocketSet , Timer
- AddBlockParam() : ConfigBlock
- AddClient() : HttpdOutput
- AddDeferred() : EventLoop
- AddEmptyItem() : TagBuilder
- AddFD() : EventLoop , ServerSocket
- AddHost() : ServerSocket
- AddIdle() : EventLoop
- AddItem() : TagBuilder
- AddLease() : NfsConnection
- AddOffset() : InputStream
- AddPath() : ServerSocket
- AddPort() : ServerSocket
- AddSocket() : MultiSocketMonitor
- AddSong() : Directory
- AddSongIdTag() : playlist
- AddTag() : VorbisComment
- AddTimer() : EventLoop
- album : ReplayGainInfo
- album_count : DatabaseStats
- All() : RangeArg
- Allocate() : MusicBuffer , SliceBuffer< T >
- AllocatedArray() : AllocatedArray< T >
- AllocatedPath() : AllocatedPath
- AllocatedSocketAddress() : AllocatedSocketAddress
- AllocatedString() : AllocatedString< T >
- allow_play : AudioOutput
- AllowFile() : Client
- alsa_channel_order : PcmExport::Params
- always_on : AudioOutput
- AndroidSimpleBufferQueue() : SLES::AndroidSimpleBufferQueue
- Append() : CircularBuffer< T > , CurlSlist , DynamicFifoBuffer< T > , ForeignFifoBuffer< T > , PeakBuffer , Queue , StaticFifoBuffer< T, size >
- AppendSong() : playlist
- AppendToBuffer() : AsyncInputStream
- AppendURI() : Partition , playlist
- Apply() : PcmVolume
- ApplyBorderPause() : PlayerControl
- ApplyEnabled() : AudioOutputClient , PlayerControl
- ApplyMask() : AudioFormat
- ArchiveFile() : ArchiveFile
- artist_count : DatabaseStats
- Assign() : CurlGlobal
- AsyncInputStream() : AsyncInputStream
- audio_format : AudioOutput::Request , MusicChunk , player_status , PlayerControl
- AudioFormat() : AudioFormat
- AudioOutput() : AudioOutput
- AutoCreate() : LazyRandomEngine
- AutoGunzipReader() : AutoGunzipReader
- AvioStream() : AvioStream